#
# spec file for package extension-manager
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%define         appname com.mattjakeman.ExtensionManager
Name:           extension-manager
Version:        0.4.3
Release:        1.2
Summary:        A utility for browsing and installing GNOME Shell Extensions
License:        GPL-3.0-only
URL:            https://github.com/mjakeman/extension-manager
Source:         %{url}/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  meson
BuildRequires:  gcc-c++
BuildRequires:  desktop-file-utils
BuildRequires:  libbacktrace-devel
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(libsoup-3.0)
BuildRequires:  pkgconfig(text-engine-0.1)
BuildRequires:  pkgconfig(blueprint-compiler)

%description
A native tool for browsing, installing, and managing GNOME Shell Extensions.

%lang_package

%prep
%autosetup

%build
export CFLAGS="$optflags -Wno-error"
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{appname}.desktop
%{_datadir}/glib-2.0/schemas/%{appname}.gschema.xml
%{_iconsdir}/hicolor/scalable/apps/%{appname}.svg
%{_iconsdir}/hicolor/symbolic/apps/%{appname}-symbolic.svg
%{_datadir}/metainfo/%{appname}.metainfo.xml

%files lang -f %{name}.lang

%changelog
* Fri Feb 23 2024 Richard Rahl <rrahl0@proton.me>
- fix spec for Factory
* Fri Feb 23 2024 Richard Rahl <rrahl0@proton.me>
- clean up spec file
* Thu Nov 16 2023 Dead Mozay <dead_mozay@opensuse.org>
- Update to version 0.4.3:
  * Translations update.
* Wed Jun 21 2023 Dead Mozay <dead_mozay@opensuse.org>
- Update to version 0.4.2:
  * upgrade-assistant: don't scroll horizontally on results.
  * misc: Tweak app icon and optimize symbolics.
  * Translations update.
* Fri May  5 2023 Dead Mozay <dead_mozay@opensuse.org>
- Update to version 0.4.1:
  * Translations update.
* Thu Mar 30 2023 Dead Mozay <dead_mozay@opensuse.org>
- Initial package.
